Page MenuHomePhabricator

Goal: A learning environment and growth paths for new volunteer developers
Closed, ResolvedPublic

Description

Here we organize the work required to implement one outcome of Wikimedia Foundation Annual Plan FY2017-18 - Community Engagement - Program 12 Onboarding new developers: A learning environment and growth paths for new volunteer developers (some parts not related to this goal have been removed)

Goal
Our goal is to achieve a sustained increase of new developers contributing to Wikimedia projects, clearly departing from the current stagnant trend. For this, we will focus our developer outreach in selected projects ready to receive new contributors, helping them to improve their documentation, support, and activities for newcomers. We will explore new groups, new geographies, and new approaches to increase the diversity of our technical community and respond better to the technical needs of our movement and our users.

Outcomes
Outcome 2: A learning environment and growth paths for newcomers willing to complete a first task. There will be regularly updated, clearly identified best entry points for newcomers among all Wikimedia software projects which will be promoted in our developer outreach activities. The MediaWiki.org homepage and other key pages will better serve newcomers, connecting them with the selected projects, as a result of small and continuous iterations.

Objectives

  • Objective 2: We will create a learning environment for newcomers, including growth paths to gain experience and build their personal network in the Wikimedia free software project and movement. This objective requires updates to the MediaWiki.org homepage and other key pages for newcomers, offering them the information they need (in simple English and translations) to find a suitable project and work on a first task. It also requires support channels where newcomers can get help.. These updates will be organized through small, continuous iterations.
  • Objective 3: We will produce a list of selected projects ready to become best entry points for newcomers. For this, we will set quality criteria for identification of good first tasks, documentation, support, and future plans. This selection is expected to include Wikimedia Foundation technical goals welcoming contributors and suitable Community Wishlist projects.

Milestones/Targets

  • Milestone 2:
    • A list of software projects recommended for new developers is updated on a quarterly basis, based on their ability to provide mentors, good entry-level documentation, first tasks, and a roadmap.
    • The list should always include projects related to Wikimedia Foundation goals, the Community Wishlist, and the Developer Wishlist.
    • These projects define the scope of the Developer Outreach report and related metrics.
    • These projects are easy to find by new developers willing to get involved through MediaWiki.org, Wikimedia developer events and our developer outreach programs (Google Summer of Code, Outreachy, Google Code-in…)
  • Milestone 3:
    • Through small and continuous iterations, the MediaWiki.org homepage and the pages under the “New contributors” category are updated in order to become informative and inviting to potential new developers.
    • The core information is available in the main languages spoken in emerging communities.

Related Objects

StatusAssignedTask
Resolvedsrishakatux
ResolvedAklapper
ResolvedAklapper
DeclinedAklapper
ResolvedAklapper
ResolvedNone
Resolvedsrishakatux
Resolvedsrishakatux
ResolvedAklapper
Resolvedsrishakatux
Resolvedsrishakatux
ResolvedNone
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
DeclinedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
Resolvedsrishakatux
OpenNone
StalledNone
ResolvedQgil
DeclinedNone
DeclinedNone
Resolvedelappen-WMF
Resolvedelappen-WMF
Resolvedelappen-WMF
DeclinedNone
Resolvedelappen-WMF
StalledNone
ResolvedQgil
ResolvedQgil
Resolvedyana_agun
StalledNone
OpenNone
ResolvedQgil
DuplicateNone
OpenNone
InvalidQgil

Event Timeline

Qgil created this task.Sep 22 2017, 2:45 PM
Qgil added a project: Goal.Sep 22 2017, 3:29 PM

Work continues in Q1 2018 hence updating project tag.

Aklapper closed this task as Resolved.Aug 28 2018, 4:41 PM

Our goal is to achieve a sustained increase of new developers contributing to Wikimedia projects

Covered in https://www.mediawiki.org/wiki/New_Developers/Quarterly#Summary_of_key_findings (note that some things still need to get in place and such changes do not happen in a year).

The result of Milestone 2 listed above is https://www.mediawiki.org/wiki/New_Developers though it's discoverability can still be improved (in T169599).
Milestone 3 listed above is covered in T653.

Closing this task as this was a FY2017-18 Annual Plan goal and has served its purpose (which does not mean that everything planned was already reached, see open subtasks).
From FY2018-19 onward, the continuation parts are listed in Outcome 8: https://www.mediawiki.org/wiki/Wikimedia_Technology/Annual_Plans/FY2019/TEC10:_Build_Technical_Community#Program_Goal . For background info, see https://lists.wikimedia.org/pipermail/wikimedia-l/2018-May/090311.html

Qgil awarded a token.Aug 29 2018, 12:01 PM